> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/resman/leads/get-a-lead-by-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Get a lead by ID GET https://api.propexo.com/v1/leads/{id} Get a lead by ID Reference: https://docs.propexo.com/api-reference/resman/leads/get-a-lead-by-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Path parameters - `id` (string, required) — The ID of the resource. ### Query parameters - `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc - `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results - `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query ## Response ### 200 Successful response - `meta` (ResponseMeta, required) - `results` (Lead, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### ResponseMeta - `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results - `offset` (integer, optional) — The offset of the first result - `limit` (integer, optional) — The number of results to return - `hasMore` (boolean, optional, nullable) — Whether there are more results - `total` (integer, optional) — The total number of results ### Lead - `id` (string, required) — The Propexo unique identifier for the lead - `created_at` (string, required) — The date record first entered Propexo - `updated_at` (string, required) — The date record was last updated in Propexo - `last_seen` (string, required, nullable) — The date the record was last seen from the PMS - `x_created_at` (any, required) — The date the record first entered the integration vendorThis field will always be null for RESMAN - `x_guestcard_id` (any, required) — The external ID of the guestcard from the integration vendorThis field will always be null for RESMAN - `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `x_leasing_agent_id` (string, required, nullable) — The external ID of the leasing agent from the integration vendor | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `x_property_id` (string, required) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `x_unit_id_preferred` (any, required) — The external IDs of the units from the integration vendor that the lead is interested inThis field will always be null for RESMAN - `x_updated_at` (any, required) — The date the record was last updated in the integration vendorThis field will always be null for RESMAN - `x_lead_source_id` (string, required, nullable) — The external ID of the lead source from the integration vendor | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `address_1` (string, required, nullable) — The first address line associated with the lead | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `address_2` (string, required, nullable) — The second address line associated with the lead | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `city` (string, required, nullable) — The city associated with the lead | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `country` (string, required, nullable) — The country associated with the lead | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `custom_data` (LeadCustomData, required, nullable) - `date_of_birth` (any, required) — The date of birth associated with the leadThis field will always be null for RESMAN - `desired_amenities` (any, required) — The desired amenities associated with the leadThis field will always be null for RESMAN - `desired_floor_plan_id` (any, required) — The external ID of desired floor plan associated with the leadThis field will always be null for RESMAN - `desired_floor_plan_name` (any, required) — The desired floor plan nameThis field will always be null for RESMAN - `desired_lease_term_in_months` (any, required) — The desired lease termThis field will always be null for RESMAN - `desired_max_rent_in_cents` (double, required, nullable) — The desired maximum rent | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `desired_max_square_ft` (any, required) — The desired maximum square feetThis field will always be null for RESMAN - `desired_min_rent_in_cents` (double, required, nullable) — The desired minimum rent | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `desired_min_square_ft` (any, required) — The desired minimum square feetThis field will always be null for RESMAN - `desired_num_bathrooms` (double, required, nullable) — The desired number of bathroomsThis field is mapped to the minimum desired from the customer. ResMan also offers "Exact" and "Max". Contact support if you'd like these values. | Interface | Method | | --------------- | --------------------- | | Lead Management | /MITS/SearchProspects | - `desired_num_bedrooms` (integer, required, nullable) — The desired number of bedrooms | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `desired_unit_number` (string, required, nullable) — The desired unit number | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `desired_unit_type` (any, required) — The desired unit typeThis field will always be null for RESMAN - `email_1` (string, required, nullable) — The primary email address associated with the lead | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `email_2` (string, required, nullable) — The secondary email address associated with the lead | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `first_name` (string, required, nullable) — The first name associated with the lead | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `ils` (any, required) — The name of the Internet listing serviceThis field will always be null for RESMAN - `last_name` (string, required, nullable) — The last name associated with the lead | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `lead_source` (string, required, nullable) — The lead source | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `leasing_agent` (string, required, nullable) — The name of the leasing agent | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `middle_name` (string, required, nullable) — The middle name associated with the lead | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `notes` (string, required, nullable) — Notes associated with the lead | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `number_of_occupants` (integer, required, nullable) — The number of occupants | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `pets` (list of LeadPetsItems, required) — The pets associated with the leadThis field is not currently hydrated for RESMAN - `phone_1_type` (any, required) — Type of the primary phone numberThis field will always be null for RESMAN - `phone_1` (string, required, nullable) — Primary phone number associated with the lead | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `phone_2_type` (any, required) — Type of the secondary phone numberThis field will always be null for RESMAN - `phone_2` (string, required, nullable) — Secondary phone number associated with the lead | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `state` (string, required, nullable) — The state associated with the lead | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `status` (string, required, nullable) — The raw status associated with the lead | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `target_move_in_date` (string, required, nullable) — The target move in date | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `zip` (string, required, nullable) — The zip code associated with the lead | Interface | Method | |---|---| | Lead Management | /MITS/SearchProspects | - `property_id` (string, required) — The Propexo unique identifier for the property - `lead_source_id` (any, required) — The Propexo unique identifier for the lead sourceThis field will always be null for RESMAN - `unit_id_preferred` (any, required) — The Propexo unique identifiers for the units that the lead is interested inThis field will always be null for RESMAN - `integration_id` (string, required) — The Propexo unique identifier for the integration - `integration_vendor` (enum, required) — The property management system of record - Allowed values: `RESMAN`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `YARDI`, `YARDI_REST` - `screenings` (list of LeadScreeningsItems, required) — This field is not currently hydrated for RESMAN - `x_unit_id` (any, required, deprecated) — DEPRECATED: Use x\_unit\_id\_preferred insteadThis field will always be null for RESMAN - `pet_details` (any, required, deprecated) — DEPRECATED: Use the pets array insteadThis field will always be null for RESMAN ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ### ResponseMetaOrderByItems ### LeadCustomData ### LeadPetsItems - `id` (string, required) — The Propexo unique identifier for the lead pet - `created_at` (string, required) — The date record first entered Propexo - `updated_at` (string, required) — The date record was last updated in Propexo - `last_seen` (string, required, nullable) — The date the record was last seen from the PMS - `x_id` (string, required) — The external ID from the integration vendor - `age_in_years` (double, required, nullable) — The age in years of the lead petThis field is not currently hydrated for RESMAN - `breed` (string, required, nullable) — The breed of the lead petThis field is not currently hydrated for RESMAN - `color` (string, required, nullable) — The color of the lead petThis field is not currently hydrated for RESMAN - `gender_raw` (string, required, nullable) — The raw value for the gender of the lead petThis field is not currently hydrated for RESMAN - `is_fixed` (boolean, required, nullable) — Whether the lead pet is fixedThis field is not currently hydrated for RESMAN - `is_service_animal` (boolean, required, nullable) — Whether the lead pet is a service animalThis field is not currently hydrated for RESMAN - `name` (string, required, nullable) — The name associated with the lead petThis field is not currently hydrated for RESMAN - `notes` (string, required, nullable) — Notes associated with the lead petThis field is not currently hydrated for RESMAN - `type` (string, required, nullable) — The type associated with the lead petThis field is not currently hydrated for RESMAN - `weight_in_pounds` (double, required, nullable) — The weight in pounds of the lead petThis field is not currently hydrated for RESMAN - `custom_data` (LeadPetsItemsCustomData, required, nullable) ### LeadScreeningsItems - `id` (string, required) — The Propexo ID of the screening - `created_at` (string, required) — The date record first entered Propexo - `last_seen` (string, required) — The date the record was last seen from the PMS - `x_id` (string, required) — The external ID from the integration vendor - `status_raw` (string, required, nullable) — The status/results of the screeningThis field is not currently hydrated for RESMAN - `screening_date` (string, required, nullable) — The date the screening took placeThis field is not currently hydrated for RESMAN ### LeadPetsItemsCustomData ## Examples **Response** ```json { "meta": { "orderBy": [ {} ], "offset": 0, "limit": 100, "hasMore": true, "total": 1000 }, "results": { "id": "clwktsp9v000008l31iv218hn", "created_at": "2024-03-21T15:38:08.337Z", "updated_at": "2024-03-22T10:59:45.119Z", "last_seen": "2024-03-22T10:59:45.119Z", "x_created_at": null, "x_guestcard_id": null, "x_id": "f526684a-e2c3-4425-bc65-559fa015fd5b", "x_leasing_agent_id": "acef1ca1-d1c9-4c0c-8b03-f82b891402e9", "x_property_id": "ae9994dd-846f-4466-9752-306df25f7882", "x_unit_id_preferred": null, "x_updated_at": null, "x_lead_source_id": "000f2ced-b403-48ac-83a3-c0762b726198", "address_1": "7810 West St", "address_2": "Apt 3", "city": "Orlando", "country": "FL", "custom_data": {}, "date_of_birth": null, "desired_amenities": null, "desired_floor_plan_id": null, "desired_floor_plan_name": null, "desired_lease_term_in_months": null, "desired_max_rent_in_cents": 150000, "desired_max_square_ft": null, "desired_min_rent_in_cents": 120000, "desired_min_square_ft": null, "desired_num_bathrooms": 1.5, "desired_num_bedrooms": 3, "desired_unit_number": "string", "desired_unit_type": null, "email_1": "john.doe@example.com", "email_2": "john.doe2@example.com", "first_name": "John", "ils": null, "last_name": "Doe", "lead_source": "2a15e56e-1fd7-4b63-88b5-81a79b0703ab", "leasing_agent": "Jane Doe", "middle_name": "Arnold", "notes": "Looking for a 12 month lease.", "number_of_occupants": 2, "pets": [ { "id": "clwktsp9v000008l31iv218hn", "created_at": "2024-03-21T15:38:08.337Z", "updated_at": "2024-03-22T10:59:45.119Z", "last_seen": "2024-03-22T10:59:45.119Z", "x_id": "string", "age_in_years": 1.1, "breed": "string", "color": "string", "gender_raw": "string", "is_fixed": true, "is_service_animal": true, "name": "string", "notes": "string", "type": "string", "weight_in_pounds": 1.1, "custom_data": {} } ], "phone_1_type": null, "phone_1": "(555) 555-5555", "phone_2_type": null, "phone_2": "(555) 555-5554", "state": "FL", "status": "lost", "target_move_in_date": "2023-10-31T00:00:00.000Z", "zip": "32801", "property_id": "clwi5xiix000008l6ctdgafyh", "lead_source_id": null, "unit_id_preferred": null, "integration_id": "clwh5u07w000508me66sfh3um", "integration_vendor": "RESMAN", "screenings": [ { "id": "clwktsp9v000008l31iv218hn", "created_at": "2024-03-21T15:38:08.337Z", "last_seen": "2024-03-22T10:59:45.119Z", "x_id": "string", "status_raw": "string", "screening_date": "string" } ], "x_unit_id": null, "pet_details": null } } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/leads/id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/leads/id'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/leads/id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/leads/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.propexo.com/v1/leads/id") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.propexo.com/v1/leads/id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/leads/id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leads/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```